Subject: bug#59293: closed (Re: bug#59293: 28.1.90; Erroneous footnote link in Org info manual)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Nov 2022 07:12:02 +0000

Your bug report

#59293: 28.1.90; Erroneous footnote link in Org info manual

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59293: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59293
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59293: 28.1.90; Erroneous footnote link in Org info manual
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked]
Date: Thu, 17 Nov 2022 09:11:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 17 Nov 2022 05:45:16 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > It's a bug in info.el: it fontifies the footnote references, but the
> > detection of footnote cannot distinguish between "(1)" that is a
> > reference to a footnote and "(1)" that just stands for itself.
> 
> Thanks for clarification. Is it something known but difficult to fix?

AFAIU the code, it detects footnote references by looking for [0-9]+
in parentheses, then fontifies those of the references whose numbers
are smaller than the number of footnotes actually present in the node.
So, for example, if a node has 5 footnotes, "(6)" will not be
fontified, but each occurrence of "(4)" will be fontified.

The comment there says:

              ;; Don't fontify parenthesized numbers that cannot
              ;; possibly be one of this node's footnotes.  This still
              ;; doesn't catch unrelated numbers that happen to be
              ;; small enough, but in that case they should use
              ;; "@footnotestyle separate" in the Texinfo sources.

> > My suggestion is to modify the example in the manual to avoid the
> > false match, for example use "runif(3)" if possible.  Alternatively,
> > remove the real footnotes and make them notes in parentheses.  Or
> > just live with the problem...
> 
> I went with runif(+1).
> https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/?id=79c64d8c3ac66e13a333a4cbc8ba15e242bc01fb

That's a good solution, thanks.

So I'm closing this bug report.

Subject: 28.1.90; Erroneous footnote link in Org info manual
From: Ihor Radchenko <[email-masked]>
To: [email-masked]
Date: Wed, 16 Nov 2022 01:22:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I am forwarding this from Org mailing list discussion about Org manual.
https://orgmode.org/list/87pmdqfao4.fsf@localhost

In 16.5 Evaluating Code Blocks section of Org info manual, there is an
example code block

    #+NAME: random
    #+BEGIN_SRC R :cache yes
      runif(1)
    #+END_SRC

This code block is represented like the following in the texinfo Org
manual source:

   @example
   #+NAME: random
   #+BEGIN_SRC R :cache yes
     runif(1)
   #+END_SRC

   ...
   @end example

Note the (1). It is unexpectedly shown as a footnote reference and one
can click on (1). This only happens in the info manual. Not in html.

I have checked
https://www.gnu.org/software/texinfo/manual/texinfo/html_node/_0040example.html

and I do not see anything wrong in the above texinfo source.

I am also not an expert in texinfo.

Could someone more experienced with texinfo check if the observed is
something to be fixed on Org side, on Texinfo side, or maybe on
Info-mode side?

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>